CP(1)

NAMA
cp - copy files and directories

RINGKASAN
cp [PILIHAN]... [-T] SUMBER TUJUAN
cp [PILIHAN]... SUMBER... DIREKTORI
cp [PILIHAN]... -t DIREKTORI SUMBER...

DESKRIPSI

Salin SUMBER ke TUJUAN, atau multiple SUMBER ke DIREKTORI.

Argumen wajib untuk pilihan panjang adalah wajib untuk pilihan pendek juga.

-a, --archive
    sama seperti -dR --preserve=all

--attributes-only
    don't copy the file data, just the attributes

--backup[=KONTROL]
    buat sebuah backup dari setiap berkas tujuan yang telah ada

-b  seperti --backup tetapi tidak menerima sebuah argumen

--copy-contents
    salin isi dari berkas spesial ketika rekursif

-d  sama seperti as --no-dereference --preserve=links

--debug
    explain how a file is copied. Implies -v

-f, --force
    if an existing destination file cannot be opened, remove it and try again (this option is ignored when the -n option is also used)

-i, --interactive
    tanya sebelum menimpa (memaksa sebuah pilihan -n sebelumnya)

-H  ikuti baris-perintah link simbolik dalam SUMBER

-l, --link
    berkas link daripada menyalin

-L, --dereference
    selalu mengikuti link simbolik dalam SUMBER

-n, --no-clobber
    (deprecated) silently skip existing files. See also --update

-P, --no-dereference
    jangan ikuti link simbolik dalam SUMBER

-p  same as --preserve=mode,ownership,timestamps

--preserve[=ATTR_LIST]
    preserve the specified attributes

--no-preserve=ATTR_LIST
    jangan jaga atribut yang dispesifikasikan

--parents
    gunakan full nama berkas sumber dibawah DIREKTORI

-R, -r, --recursive
    salin direktori secara rekursif

--reflink[=KAPAN]
    kontrol salinan/CoW. Lihat dibawah.

--remove-destination
    hapus setiap berkas tujuan yang telah ada sebelum mencoba untuk membukanya (kebalikan dengan --force)

--sparse=KAPAN
    kontrol pembuatan dari berkas sparse. Lihat dibawah.

--strip-trailing-slashes
    hapus akhiran slashes dari setiap SUMBER argumen

-s, --symbolic-link
    buat link simbolik daripada menyalin

-S, --suffix=SUFFIX
    memaksa akhir backup biasa

-t, --target-directory=DIREKTORI
    salin seluruh argumen SUMBER kedalam DIREKTORI

-T, --no-target-directory
    perlakukan TUJUAN sebagai sebuah berkas normal

--update[=UPDATE]
    control which existing files are updated; UPDATE={all,none,none-fail,older(default)}.

-u  equivalent to --update[=older]. See below

-v, --verbose
    jelaskan apa yang sedang dilakukan

--keep-directory-symlink
    follow existing symlinks to directories

-x, --one-file-system
    tetap di sistem berkas ini

-Z  set SELinux security context of destination file to default type

--context[=CTX]
    like -Z, or if CTX is specified then set the SELinux or SMACK security context to CTX

--help
    tampilkan bantuan ini dan keluar

--version
    tulis informasi versi dan keluar

ATTR_LIST is a comma-separated list of attributes. Attributes are 'mode' for permissions (including any ACL and xattr permissions), 'ownership' for user and group, 'timestamps' for file timestamps, 'links' for hard links, 'context' for security context, 'xattr' for extended attributes, and 'all' for all attributes.

Secara baku, sparse berkas SUMBER terdeteksi oleh sebuah crude heuristic dan berkas TUJUAN yang berhubungan dibuat sparse juga. Itu adalah perilaku yang dipilih oleh --sparse=auto. Spesifikasikan --sparse=always untuk membuat sebuah sparse berkas TUJUAN ketika berkas SUMBER berisi sebuah urutan panjang dari nol bytes. Gunakan --sparse=never untuk mencegah pembuatan dari berkas sparse.

UPDATE controls which existing files in the destination are replaced. 'all' is the default operation when an --update option is not specified, and results in all existing files in the destination being replaced. 'none' is like the --no-clobber option, in that no files in the destination are replaced, and skipped files do not induce a failure. 'none-fail' also ensures no files are replaced in the destination, but any skipped files are diagnosed and induce a failure. 'older' is the default operation when --update is specified, and results in files being replaced if they're older than the corresponding source file.

When --reflink[=always] is specified, perform a lightweight copy, where the data blocks are copied only when modified. If this is not possible the copy fails, or if --reflink=auto is specified, fall back to a standard copy. Use --reflink=never to ensure a standard copy is performed.

Akhiran backup adalah `~', kecuali diset dengan --suffix atau SIMPLE_BACKUP_SUFFIX. Metode pengontrol versi mungkin dipilih melalui pilihan --backup atau melalui variabel lingkungan VERSION_CONTROL. Ini adalah nilainya:

none, off
    tidak pernah membuat backup (walaupun jika --backup diberikan)

numbered, t
    buat backup bernomor

existing, nil
    bernomor jika backup bernomor ada, simple jika tidak

simple, never
    selalu membuat backup sederhana

eperti sebuah kasus spesial, cp membuat sebuah backup dari SOURCE ketika force dan backup pilihan diberikan dan SOURCE dan DEST memiliki nama sama untuk sebuah berkas regular yang telah ada.

PENGARANG
Ditulis oleh Torbjorn Granlund, David MacKenzie, dan Jim Meyering.

MELAPORKAN BUG
Bantuan daring GNU coreutils: <https://www.gnu.org/software/coreutils/>
Lapor bug penerjemahan ke <https://translationproject.org/team/id.html>

HAK CIPTA
Hak Cipta © 2024 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
install(1)

Dokumentasi lengkap <https://www.gnu.org/software/coreutils/cp>
atau tersedia lokal melalui: info '(coreutils) cp invocation'

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Rizqy Syarief <rizqy@rad.net.id>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.